
* Pooled Univariate Probit Regression
* 					counting Missed, False Alarms and Matched respectively.

* Unconditional Probability of having a crisis (used as threshold)
egen uncmean=mean(y) 

xtprobit	y		dafr	nolog								
predict	phat	,pu0										
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
* Missed												
count	if dy		==	-1								
* False Alarms												
count	if dy		==	0								
* Matched												
drop 	phat		yhat	dy								

xtprobit	y		dadv	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dapd	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dwhd	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dmed	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dtrans	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		doil	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dcsi	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dcsc	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		cay	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		resg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		xg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		x	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		xy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		sedy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		tedx	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		cstdr	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		m2r	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		inf	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ur	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								

xtprobit	y		ngrwt	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		rgrwt	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		reerg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		reer	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		tot	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		mg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		fdiy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		fdig	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		tedy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		sedr	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pedy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		isedy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		isedr	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dsey	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		dser	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		revy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		taxre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		titre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ntrre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		grre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		expy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		intex	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		waex	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat	yhat	dy	dy								
xtprobit	y		heex	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		soex	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		oby	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pby	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		rapd	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pudgy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		cpudgy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pudcy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		cstdy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==-1	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		open	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		exchr	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		exchrg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		over	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ust	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		libor	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		resy	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		gdpd	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		tby	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		rg	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		sdted	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pr	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==-1	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		cl	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		fs	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pc	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		pcv	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		parel	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		prel	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ppel	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ynpae	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		yspae	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ynpre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		yspre	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		dy	dy								
xtprobit	y		els	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
xtprobit	y		ylag	nolog								
predict	phat	,pu0	,									
gen	yhat		=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat		=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy		=	y-yhat								
count	if dy		==	1								
count	if dy		==	-1								
count	if dy		==	0								
drop 	phat		yhat	dy								
												
close log												
