% output: Slow S Sup (the best thresholds for maximizing the noise to signal ratio)
%       : BA  
[D names]=xlsread('prova.xls');
year=D(:,2);
SnP=D(:,4);
ystar=D(:,6);
plhat=D(:,18);
phat=D(:,13);
puhat=D(:,19);

% In-sample period '75-'93 (ystar)
indx=year>=1994;
ystar9=ystar;
ystar9(indx)=[];
plhat9=plhat;
plhat9(indx)=[];
phat9=phat;
phat9(indx)=[];
puhat9=puhat;
puhat9(indx)=[];
[Slow1 BAlow1]=fminbnd('B_over_A',0,1,[],ystar9,plhat9);
[S1 BA1]=fminbnd('B_over_A',0,1,[],ystar9,phat9);
[Sup1 BAup1]=fminbnd('B_over_A',0,1,[],ystar9,puhat9);

% Period '94-'02 (ystar)
indx=year<1994;
ystar9402=ystar;
ystar9402(indx)=[];
plhat9402=plhat;
plhat9402(indx)=[];
phat9402=phat;
phat9402(indx)=[];
puhat9402=puhat;
puhat9402(indx)=[];
[Slow2 BAlow2]=fminbnd('B_over_A',0,1,[],ystar9402,plhat9402);
[S2 BA2]=fminbnd('B_over_A',0,1,[],ystar9402,phat9402);
[Sup2 BAup2]=fminbnd('B_over_A',0,1,[],ystar9402,puhat9402);

% Period '94-'02 (SnP)
SnP9402=SnP;
SnP9402(indx)=[];
[Slow3 BAlow3]=fminbnd('B_over_A',0,1,[],SnP9402,plhat9402);
[S3 BA3]=fminbnd('B_over_A',0,1,[],SnP9402,phat9402);
[Sup3 BAup3]=fminbnd('B_over_A',0,1,[],SnP9402,puhat9402);

Res=[Slow1 S1 Sup1
BAlow1 BA2 BAup2
Slow2 S2 Sup2
BAlow2 BA2 BAup2
Slow3 S3 Sup3
BAlow3 BA3 BAup3]

