
* Pooled Univariate Probit Regression
* 					counting Missed, False Alarms and Matched respectively.

* Unconditional Probability of having a crisis (used as threshold)
egen uncmean=mean(y) 

probit	y	dafr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1			
* Missed				
count	if dy	==	-1			
* False Alarms				
count	if dy	==	0			
* Matched				
drop 	phat	yhat	dy								

probit	y	dadv									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dapd									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dwhd									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dmed									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dtrans									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	doil									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dcsi									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dcsc									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	cay									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	resg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	xg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	x									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	xy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	sedy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	tedx									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	cstdr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	m2r									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	inf									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ur									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ngrwt									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	= y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	rgrwt									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	reerg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	reer									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	tot									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	mg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	= y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	fdiy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	fdig									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	tedy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	sedr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pedy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	isedy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	isedr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dsey									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	dser									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	revy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	taxre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	titre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ntrre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	grre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	expy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	intex									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	waex									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat yhat	dy								
probit	y	heex									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	soex									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	oby									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pby									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	rapd									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pudgy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	cpudgy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy	

* pudcy > 75.52213 predicts data perfectly							
*probit	y	pudcy									
*predict	phat	,									
*gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
*replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
*gen	dy	=	y-yhat								
*count	if dy	==	1							
*count	if dy	==	-1							
*count	if dy	==	0							
*drop 	phat	yhat	dy								

probit	y	cstdy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	open									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	exchr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	exchrg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	over									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ust									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	libor									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	resy									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	gdpd									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	tby									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	rg									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	sdted									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pr									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	cl									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	fs									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pc									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	pcv									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	parel									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	prel									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ppel									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ynpae									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	yspae									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ynpre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	yspre									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat yhat	dy								
probit	y	els									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat								
count	if dy	==	1							
count	if dy	==	-1							
count	if dy	==	0							
drop 	phat	yhat	dy								
probit	y	ylag									
predict	phat	,									
gen	yhat	=	1	if	phat	>	uncmean	&	phat	!=	.
replace	yhat	=	0	if	phat	<=	uncmean	&	phat	!=	.
gen	dy	=	y-yhat	
count	if dy	==	1
count	if dy	==	-1
count	if dy	==	0
drop 	phat	yhat	dy	

close log
